MCP Gateway
ApiUser api keys

Create an API key

Create a new API key for the authenticated user. The full key is returned only in this response and cannot be retrieved again. Users are limited to 10 active keys.

POST
/api/v1/users/me/api-keys

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/users/me/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "key_prefix": "string",
  "environment": "live",
  "scopes": [
    "string"
  ],
  "rate_limit_rpm": 0,
  "is_active": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "expires_at": "2019-08-24T14:15:22Z",
  "last_used_at": "2019-08-24T14:15:22Z",
  "last_used_ip": "string",
  "key": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}